Subject: Avoid using postal address in license.
From: Collin Funk <[email-masked]>
To: [email-masked]
Date: Mon, 02 Sep 2024 12:13:56 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Following Simon's patch in Gnulib, replacing the old FSF postal address
with a link [1].

[1] https://lists.gnu.org/archive/html/bug-gnulib/2024-09/msg00004.html

From 69d994752b205cafd2d271948ef80b40fd0279dd Mon Sep 17 00:00:00 2001
From: Collin Funk <[email-masked]>
Date: Mon, 2 Sep 2024 12:09:35 -0700
Subject: [PATCH] Avoid using postal address in license.

* Makefile.am, bits.c, deflate.c, deflate.h, dfltcc.c, doc/Makefile.am:
* gunzip.in, gzexe.in, gzip.c, gzip.h, inflate.c, lib/Makefile.am:
* lib/match.c, lzw.h, revision.h, tailor.h, trees.c, unpack.c, unzip.c:
* util.c, zcat.in, zcmp.in, zdiff.in, zforce.in, zgrep.in, zip.c:
* zless.in, zmore.in, znew.in: Update license header.
---
 Makefile.am     | 5 ++---
 bits.c          | 3 +--
 deflate.c       | 3 +--
 deflate.h       | 3 +--
 dfltcc.c        | 3 +--
 doc/Makefile.am | 4 +---
 gunzip.in       | 5 ++---
 gzexe.in        | 5 ++---
 gzip.c          | 3 +--
 gzip.h          | 3 +--
 inflate.c       | 3 +--
 lib/Makefile.am | 5 ++---
 lib/match.c     | 3 +--
 lzw.h           | 3 +--
 revision.h      | 3 +--
 tailor.h        | 3 +--
 trees.c         | 3 +--
 unpack.c        | 3 +--
 unzip.c         | 3 +--
 util.c          | 3 +--
 zcat.in         | 5 ++---
 zcmp.in         | 5 ++---
 zdiff.in        | 5 ++---
 zforce.in       | 5 ++---
 zgrep.in        | 5 ++---
 zip.c           | 3 +--
 zless.in        | 5 ++---
 zmore.in        | 5 ++---
 znew.in         | 5 ++---
 29 files changed, 41 insertions(+), 71 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 899bfdd..fdbeb6a 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -13,9 +13,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 ALL_RECURSIVE_TARGETS =
 BUILT_SOURCES =
diff --git a/bits.c b/bits.c
index 31c4382..c60c0cf 100644
--- a/bits.c
+++ b/bits.c
@@ -14,8 +14,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

 /*
diff --git a/deflate.c b/deflate.c
index f722eb4..ffc8644 100644
--- a/deflate.c
+++ b/deflate.c
@@ -14,8 +14,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 /*
  *  PURPOSE
diff --git a/deflate.h b/deflate.h
index 080a6af..617bb6a 100644
--- a/deflate.h
+++ b/deflate.h
@@ -11,8 +11,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 #include <config.h>
 
diff --git a/dfltcc.c b/dfltcc.c
index 1f71394..30593ce 100644
--- a/dfltcc.c
+++ b/dfltcc.c
@@ -13,8 +13,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 #include <config.h>
 
diff --git a/doc/Makefile.am b/doc/Makefile.am
index 7bdda34..b08e1a0 100644
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -13,9 +13,7 @@
 # GNU General Public License for more details.
 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.

 # The customization variable CHECK_NORMAL_MENU_STRUCTURE is necessary with
diff --git a/gunzip.in b/gunzip.in
index b941bde..4ae7762 100644
--- a/gunzip.in
+++ b/gunzip.in
@@ -13,9 +13,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 version="gunzip (gzip) @VERSION@
 Copyright (C) 2024 Free Software Foundation, Inc.
diff --git a/gzexe.in b/gzexe.in
index 55bcdb9..4504d77 100644
--- a/gzexe.in
+++ b/gzexe.in
@@ -27,9 +27,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 tab='	'
 nl='
diff --git a/gzip.c b/gzip.c
index 5cd1586..7a0625e 100644
--- a/gzip.c
+++ b/gzip.c
@@ -15,8 +15,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 /*
  * The unzip code was written and put in the public domain by Mark Adler.
diff --git a/gzip.h b/gzip.h
index b6a4e7c..ec2abc8 100644
--- a/gzip.h
+++ b/gzip.h
@@ -16,8 +16,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 #ifdef __STDC__
    typedef void *voidp;
diff --git a/inflate.c b/inflate.c
index 974f5c3..3d58647 100644
--- a/inflate.c
+++ b/inflate.c
@@ -14,8 +14,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 /* Not copyrighted 1992 by Mark Adler
    version c10p1, 10 January 1993 */
diff --git a/lib/Makefile.am b/lib/Makefile.am
index cd7f82e..4765424 100644
--- a/lib/Makefile.am
+++ b/lib/Makefile.am
@@ -12,9 +12,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 AM_CFLAGS =
 BUILT_SOURCES =
diff --git a/lib/match.c b/lib/match.c
index 2cef628..829a2cd 100644
--- a/lib/match.c
+++ b/lib/match.c
@@ -14,8 +14,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 /*
  * The 68020 version has been written by Francesco Potortì <[email-masked]>
diff --git a/lzw.h b/lzw.h
index f2bf8f4..e4f3284 100644
--- a/lzw.h
+++ b/lzw.h
@@ -14,8 +14,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 #ifndef BITS
 #  define BITS 16
diff --git a/revision.h b/revision.h
index 8e98a15..3d1c960 100644
--- a/revision.h
+++ b/revision.h
@@ -15,8 +15,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 #define PATCHLEVEL 0
 #define REVDATE "2002-09-30"
diff --git a/tailor.h b/tailor.h
index 25827cc..b2878b2 100644
--- a/tailor.h
+++ b/tailor.h
@@ -15,8 +15,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 /* The target dependent definitions should be defined here only.
  * The target dependent functions should be defined in tailor.c.
diff --git a/trees.c b/trees.c
index f23a051..23acd76 100644
--- a/trees.c
+++ b/trees.c
@@ -14,8 +14,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 /*
  *  PURPOSE
diff --git a/unpack.c b/unpack.c
index 9b178ba..b1f2e88 100644
--- a/unpack.c
+++ b/unpack.c
@@ -14,8 +14,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 #include <config.h>
 #include "tailor.h"
diff --git a/unzip.c b/unzip.c
index 07c9027..4f9fe8f 100644
--- a/unzip.c
+++ b/unzip.c
@@ -14,8 +14,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 /*
  * The code in this file is derived from the file funzip.c written
diff --git a/util.c b/util.c
index ee94337..256317e 100644
--- a/util.c
+++ b/util.c
@@ -15,8 +15,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 #include <config.h>
 #include <ctype.h>
diff --git a/zcat.in b/zcat.in
index 3aa094e..5255bcb 100644
--- a/zcat.in
+++ b/zcat.in
@@ -13,9 +13,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 version="zcat (gzip) @VERSION@
 Copyright (C) 2024 Free Software Foundation, Inc.
diff --git a/zcmp.in b/zcmp.in
index e4a4563..0a986b2 100644
--- a/zcmp.in
+++ b/zcmp.in
@@ -13,9 +13,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 version="zcmp (gzip) @VERSION@
 Copyright (C) 2024 Free Software Foundation, Inc.
diff --git a/zdiff.in b/zdiff.in
index 423fcb4..a76e91b 100644
--- a/zdiff.in
+++ b/zdiff.in
@@ -14,9 +14,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 case $1 in
   --__cmp) shift
diff --git a/zforce.in b/zforce.in
index 7146ffc..939c124 100644
--- a/zforce.in
+++ b/zforce.in
@@ -19,9 +19,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 version="zforce (gzip) @VERSION@
 Copyright (C) 2024 Free Software Foundation, Inc.
diff --git a/zgrep.in b/zgrep.in
index c55a4b6..ab80d56 100644
--- a/zgrep.in
+++ b/zgrep.in
@@ -18,9 +18,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 grep='${GREP-'\''@GREP@'\''}'
 args=
diff --git a/zip.c b/zip.c
index 5c95499..8aa4bfe 100644
--- a/zip.c
+++ b/zip.c
@@ -14,8 +14,7 @@
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software Foundation,
-   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
 #include <config.h>
 #include <ctype.h>
diff --git a/zless.in b/zless.in
index 80ecb4e..1c98d7f 100644
--- a/zless.in
+++ b/zless.in
@@ -12,9 +12,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 version="zless (gzip) @VERSION@
 Copyright (C) 2024 Free Software Foundation, Inc.
diff --git a/zmore.in b/zmore.in
index bb70e9e..7a7aa18 100644
--- a/zmore.in
+++ b/zmore.in
@@ -13,9 +13,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 version="zmore (gzip) @VERSION@
 Copyright (C) 2024 Free Software Foundation, Inc.
diff --git a/znew.in b/znew.in
index 7d68b70..b02f9de 100644
--- a/znew.in
+++ b/znew.in
@@ -14,9 +14,8 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 LC_ALL=C
 export LC_ALL
-- 
2.46.0